Bug 3713 - grub2 was patched to support additional features [UPDATE REQUEST]
: grub2 was patched to support additional features [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-30 16:23 MSK by Alexander Burmashev
Modified: 2014-02-17 12:32 MSK (History)
1 user (show)

See Also:
RPM Package: grub2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2014-01-30 16:23:27 MSK
grub2 was patched to support additional features
Comment 1 Alexander Burmashev 2014-01-30 16:26:20 MSK
Advisory:
grub2 was patched to support additional features.

Additional info:
In most cases when you have multiple ROSA systems installed all grub entries except for the first one will not have
        load_video
        set gfxpayload=keep
In such case all systems without this options will not show a proper plymouth boot screen. Grub2 was patches to avoid this problem.


Buildlists:
https://abf.rosalinux.ru/build_lists/1606646
https://abf.rosalinux.ru/build_lists/1606654
Comment 2 Vladimir Potapov 2014-02-03 19:21:09 MSK
grub2-2.00-39-rosa2012.1
********************* Advisory ***********************
In most cases when you have multiple ROSA systems installed all grub entries except for the first one will not have
        load_video
        set gfxpayload=keep
In such case all systems without this options will not show a proper plymouth boot screen. Grub2 was patches to avoid this problem.
*************************************************************
QA Verified
Comment 3 Vladimir Potapov 2014-02-04 06:58:21 MSK
(In reply to comment #2)
> grub2-2.00-39-rosa2012.1
> ********************* Advisory ***********************
> In most cases when you have multiple ROSA systems installed all grub entries
> except for the first one will not have
>         load_video
>         set gfxpayload=keep
> In such case all systems without this options will not show a proper
> plymouth boot screen. Grub2 was patches to avoid this problem.
> *************************************************************
> QA Verified

Stop! After any reboot, text-splash show again :-(
********
QA Denied
Comment 4 Vladimir Potapov 2014-02-06 10:34:59 MSK
(In reply to comment #3)
> (In reply to comment #2)
> > grub2-2.00-39-rosa2012.1
> > ********************* Advisory ***********************
> > In most cases when you have multiple ROSA systems installed all grub entries
> > except for the first one will not have
> >         load_video
> >         set gfxpayload=keep
> > In such case all systems without this options will not show a proper
> > plymouth boot screen. Grub2 was patches to avoid this problem.
> > *************************************************************
> > QA Verified
> 
> Stop! After any reboot, text-splash show again :-(
> ********
> QA Denied

I researched this problem, it was not associated with this update.

grub2-2.00-39-rosa2012.1
********************* Advisory ***********************
In most cases when you have multiple ROSA systems installed all grub entries except for the first one will not have
        load_video
        set gfxpayload=keep
In such case all systems without this options will not show a proper plymouth boot screen. Grub2 was patches to avoid this problem.
*************************************************************
QA Verified